package com.pgpool.tests;


import com.pgpool.domain.AuthData;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.Statement;

public class ConnectionHangs extends PgpoolTest {

	@Override
	public void runTest(AuthData authData) throws Exception {
		String url = String.format("jdbc:postgresql://%s:%d/%s?loglevel=2", authData.getPgpoolHostname(), authData.getPgpoolPort(), authData.getDatabaseName());

		try (Connection conn = DriverManager.getConnection(url, authData.getDatabaseLogin(), authData.getDatabasePasswd())) {
			for (int j = 0; j < 100; j++) {
				conn.setAutoCommit(false);
				System.out.println("About to execute request");
				try (PreparedStatement stmt = conn.prepareStatement("select count(id) from write_table where id = ?")) {
					stmt.setInt(1, 1);
					for (int i = 0; i < 3; i++) {
						stmt.executeQuery().close();
					}
				}
				conn.commit();

				try (Statement stmt = conn.createStatement()) {
					stmt.execute("");
				}
				System.out.println("Iteration: " + j);
			}

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}
}
