package com.pgpool.tests;

import com.pgpool.domain.AuthData;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.util.Random;


public class DeallocateIssue extends PgpoolTest {


	@Override
	public void runTest(AuthData authData) throws Exception {

		String url = String.format("jdbc:postgresql://%s:%d/%s?loglevel=2", authData.getPgpoolHostname(), authData.getPgpoolPort(), authData.getDatabaseName());
		try (Connection conn = DriverManager.getConnection(url, authData.getDatabaseLogin(), authData.getDatabasePasswd())) {


			conn.setAutoCommit(false);
			try (PreparedStatement preparedStatement = conn.prepareStatement("select id from write_table limit ?")) {
				preparedStatement.setInt(1, 1);

				preparedStatement.executeQuery().close();

			}
			conn.commit();

		}
	}
}
