package com.pgpool.tests;


import com.pgpool.domain.AuthData;

public abstract class PgpoolTest {

	public abstract void runTest(AuthData authData) throws Exception;

	enum TestType {
		ISSUE_231("231"),
		ISSUE_271("271"),
		ISSUE_DEALLOCATE("DEALLOCATE"),
		ISSUE_CONN_HANGS("CONN_HANGS"),
		ISSUE_SHOW("SHOW");

		String id;

		TestType(String id) {
			this.id = id;
		}

		public static TestType fromId(String id) {
			for (TestType testType : TestType.values()) {
				if (testType.id.equals(id)) {
					return testType;
				}
			}

			throw new IllegalArgumentException("Invalid TestType:" + id);
		}
	}

	protected void exitFromFailedTest(String message) {
		System.out.println("=======================================================================================");
		System.out.println("ERROR: Test exit with error: '" + message + "'");
		System.out.println("=======================================================================================");

		System.exit(1);

	}
}
